Получить операции по банковской карте
GET
/api/internal/v1/bank_cards/{id}/transactions
const url = 'https://core.example.com/api/internal/v1/bank_cards/example/transactions?merchant_private_key=example&page=1&per_page=25';const options = {method: 'GET', headers: {'app-token': '<app-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://core.example.com/api/internal/v1/bank_cards/example/transactions?merchant_private_key=example&page=1&per_page=25' \ --header 'app-token: <app-token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела « Parameters »Path Parameters
Заголовок раздела «Path Parameters»id
required
string
Внутренний ID карты или {outer_id}_outer_id
Query Parameters
Заголовок раздела «Query Parameters»merchant_private_key
required
string
segregated_account_id
integer
ID business account, к которому имеет доступ текущий пользователь
page
integer
per_page
integer
Responses
Заголовок раздела « Responses »Карта и её операции
Media typeapplication/json
object
success
required
boolean
bank_card
required
object
id
integer
outer_id
string
profile_id
integer
bank_account_id
integer
currency
string
card_type
string
status
string
mask
string
holder_first_name
string
holder_last_name
string
available_balance_with_currency
string
holder
string
key
additional properties
any
current_page
required
integer
per_page
required
integer
total
required
integer
transactions
required
Array<object>
object
id
integer
type
string
fType
integer
status
string
amount
number format: double
currency
string
target_amount
number format: double
target_currency
string
description
string
direction
string
api_payment_token
string
commission_amount
number format: double
created_at
string format: date-time
updated_at
string format: date-time
key
additional properties
any
card_account_id
required
integer
Example
{ "success": true, "transactions": [ { "direction": "in" } ]}Ошибка авторизации, валидации или бизнес-правила
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}